## librepcb 1.1.0+dfsg

=== CMakeLists.txt ===
# CMake version configuration
# (Note: The minimal version 3.5 is shipped with Ubuntu 16.04)
cmake_minimum_required(VERSION 3.5...3.19)
if(${CMAKE_VERSION} VERSION_LESS 3.12)
  cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
endif()

# Support older macOS versions. Needs to be set before calling project()!
# https://github.com/LibrePCB/LibrePCB/issues/1091
if(QT_MAJOR_VERSION EQUAL 6)
  set(CMAKE_OSX_DEPLOYMENT_TARGET
      "10.15"
      CACHE STRING "Minimum OS X deployment version"
  )
else()
  set(CMAKE_OSX_DEPLOYMENT_TARGET
      "10.14"
      CACHE STRING "Minimum OS X deployment version"
  )
endif()

# Fix missing libOpenGL.so.0 error of binary Linux releases, see
# https://github.com/probonopd/linuxdeployqt/issues/486.
set(OpenGL_GL_PREFERENCE LEGACY)

# WARNING:
# Read the release workflow documentation (at https://developers.librepcb.org)
# before making changes to the version numbers!

# Application version:
#  - Always three numbers (MAJOR.MINOR.PATCH)!
#  - Unstable (development) versions: Suffix "-unstable", e.g. "1.0.0-unstable"
#  - Release candidates: Suffix "-rc#", e.g. "1.0.0-rc3"
#  - Releases: No suffix, e.g. "1.0.0"
set(LIBREPCB_APP_VERSION "1.1.0")

# File format version:
#  - Must be equal to the major version of APP_VERSION!
#  - If APP_VERSION < 1.0.0: Two numbers, e.g. "0.2" for APP_VERSION=="0.2.x"
#  - If APP_VERSION >= 1.0.0: Only one number, e.g. "2" for APP_VERSION=="2.x.y"
set(LIBREPCB_FILE_FORMAT_VERSION "1")

# File format stable flag:
#  - On all non-release branches: false
#  - On release branches: true
# Note: Do not use a CMake boolean (ON / TRUE), use a C++ style boolean
# string instead ("true" / "false").
set(LIBREPCB_FILE_FORMAT_STABLE "true")

# Define project
project(librepcb LANGUAGES CXX)

# Configure module path
set(CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

# Global options
option(BUILD_TESTS "Build unit tests." ON)
option(BUILD_DISALLOW_WARNINGS
       "Disallow compiler warnings during build (build with -Werror)." OFF
)
option(BUILD_QTQUICK_TEST "Build the QML test window." ON)
option(UNBUNDLE_DXFLIB "Don't use vendored dxflib library." OFF)
option(UNBUNDLE_FONTOBENE_QT "Don't use vendored FontoBeneQt library." OFF)
option(UNBUNDLE_GTEST "Don't use vendored GoogleTest library." OFF)
option(UNBUNDLE_HOEDOWN "Don't use vendored Hoedown library." OFF)
option(UNBUNDLE_MUPARSER "Don't use vendored MuParser library." OFF)
option(UNBUNDLE_POLYCLIPPING "Don't use vendored Polyclipping library." OFF)
option(UNBUNDLE_QUAZIP "Don't use vendored QuaZip library." OFF)
option(UNBUNDLE_ALL "Don't use any vendored library." OFF)
option(USE_GLU "Include features depending on OpenGL Utility Library (GLU)." ON)
option(USE_OPENCASCADE "Include features depending on OpenCascade." ON)

# Deprecated options
if(UNBUNDLE_FONTOBENE_QT5)
  message(
    WARNING
      "Option 'UNBUNDLE_FONTOBENE_QT5' is deprecated and will be removed in \
      the next release. Please replace the dependency fontobene-qt5 by its \
      successor fontobene-qt and use the new option 'UNBUNDLE_FONTOBENE_QT'."
  )
  set(UNBUNDLE_FONTOBENE_QT ${UNBUNDLE_FONTOBENE_QT5})
endif()

# Create a release build by default
include(DefaultBuildType)

# Force static linking for local libs
set(BUILD_SHARED_LIBS
    OFF
    CACHE BOOL "Link dynamically against local libraries." FORCE
)

# Auto-include current directory
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# If Qt version is not explicitly specified, automatically determine it
if(NOT QT_MAJOR_VERSION)
  find_package(Qt NAMES Qt5 Qt6 REQUIRED COMPONENTS Core)
  set(QT_MAJOR_VERSION ${Qt_VERSION_MAJOR})
endif()
set(QT "Qt${QT_MAJOR_VERSION}")
set(PARSEAGLE_QT_MAJOR_VERSION ${QT_MAJOR_VERSION})

# Use C++11 (Qt5) or C++17 (Qt6)
if(QT_MAJOR_VERSION EQUAL 6)
  set(CMAKE_CXX_STANDARD 17)
else()
  set(CMAKE_CXX_STANDARD 11)
endif()
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

# Include GNU install dirs variables
include(GNUInstallDirs)

# Workaround for builds on macOS with Qt installed through homebrew
# https://github.com/Homebrew/homebrew-core/issues/8392#issuecomment-325226494
if(APPLE AND EXISTS /usr/local/opt/qt5)
  # Homebrew installs Qt5 (up to at least 5.9.1) in
  # /usr/local/qt5, ensure it can be found by CMake since
  # it is not in the default /usr/local prefix.
  list(APPEND CMAKE_PREFIX_PATH "/usr/local/opt/qt5")
endif()

# Create "common" interface library which is used for DRY configuration of
# build flags.
add_library(common INTERFACE)
target_compile_options(common INTERFACE -Wall -Wextra -Wpedantic)
if(BUILD_DISALLOW_WARNINGS)
  target_compile_options(common INTERFACE -Werror)
endif()

# The TypeSafe library causes some compiler warnings which are not of
# interest, so let's suppress them.
target_compile_options(common INTERFACE -Wno-noexcept-type)

# Clang emits some warnings within the muParser library when compiling with
# -Wpedantic, so let's suppress these warnings when compiling with Clang.
if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  target_compile_options(common INTERFACE -Wno-nested-anon-types)
endif()

# Avoid "file too big" error for debug builds on Windows.
if(WIN32)
  target_compile_options(common INTERFACE $<$<CONFIG:Debug>:-Wa,-mbig-obj>)
endif()

# Enforce UNICODE on Windows to avoid an incompatibility with OpenCascade.
if(WIN32)
  add_definitions(-DUNICODE -D_UNICODE)
endif()

# Disable Qt functions which are deprecated in Qt <= 5.5 to enforce us
# migrating away from them. Always set this to the lowest Qt version we want
# to support.
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050500)

# Not sure what we should do with deprecation warnings. Better keeping
# backwards compatibility with already existing & supported environments
# instead of forward compatibility with not yet existing environments, no?
add_definitions(
  -DQT_NO_DEPRECATED_WARNINGS # Qt
  -DGL_SILENCE_DEPRECATION # OpenGL
  -DOCCT_NO_DEPRECATED # OpenCascade
)

# Determine required Qt components
set(QT_COMPONENTS
    Concurrent
    Core
    Gui
    LinguistTools
    Network
    OpenGL
    PrintSupport
    Sql
    Svg
    Widgets
)
if(QT_MAJOR_VERSION GREATER 5)
  list(APPEND QT_COMPONENTS OpenGLWidgets)
endif()
if(BUILD_QTQUICK_TEST)
  list(APPEND QT_COMPONENTS Quick QuickControls2)
endif()
if(BUILD_TESTS)
  list(APPEND QT_COMPONENTS Test)
endif()

# Find Qt
find_package(${QT} 5.5.0 REQUIRED COMPONENTS ${QT_COMPONENTS})
set(QT_VERSION "${${QT}_VERSION}")
message(STATUS "Building LibrePCB with Qt ${QT_VERSION}")
if(QT_MAJOR_VERSION EQUAL 6)
  message(
    WARNING
      "EXPERIMENTAL: Builds with Qt6 are not tested very well yet and thus \
      might still contain critical bugs. It's highly recommended to build \
      official releases with Qt5 for now."
  )
endif()

# For the ParsEagle library, use the same Qt version as for LibrePCB
set(PARSEAGLE_QT_MAJOR_VERSION ${QT_MAJOR_VERSION})

# Find third party libraries
find_package(DelaunayTriangulation REQUIRED)
find_package(Dxflib REQUIRED)
find_package(FontoBeneQt REQUIRED)
find_package(GLU REQUIRED)
find_package(MuParser REQUIRED)
find_package(OpenCascade REQUIRED)
find_package(Optional REQUIRED)
find_package(Polyclipping REQUIRED)
find_package(QuaZip REQUIRED)
find_package(TypeSafe REQUIRED)
if(BUILD_TESTS)
  find_package(GTest REQUIRED)
endif()
# Hoedown is only needed on Qt <5.14
if(QT_VERSION VERSION_LESS 5.14)
  message(STATUS "Qt <5.14 detected, using Hoedown for markdown support")
  find_package(Hoedown REQUIRED)
endif()

# Add libs
add_subdirectory(libs/librepcb/core)
add_subdirectory(libs/librepcb/editor)
add_subdirectory(libs/librepcb/eagleimport)
add_subdirectory(libs/parseagle)

# Add apps
add_subdirectory(apps/librepcb)
add_subdirectory(apps/librepcb-cli)

# Add unittests
if(BUILD_TESTS)
  add_subdirectory(tests/unittests)
endif()

# Generate translation file target
set(LIBREPCB_QM_FILES_DIR "${CMAKE_BINARY_DIR}/i18n")
file(MAKE_DIRECTORY "${LIBREPCB_QM_FILES_DIR}")
file(
  GLOB LIBREPCB_TS_FILES
  RELATIVE ${CMAKE_SOURCE_DIR}
  i18n/librepcb_*.ts
)
set_source_files_properties(
  ${LIBREPCB_TS_FILES} PROPERTIES OUTPUT_LOCATION "${LIBREPCB_QM_FILES_DIR}"
)
if(QT_VERSION VERSION_LESS 5.12)
  # Qt <5.12 doesn't support OPTIONS
  qt5_add_translation(LIBREPCB_QM_FILES ${LIBREPCB_TS_FILES})
elseif(QT_VERSION VERSION_LESS 6.0)
  qt5_add_translation(LIBREPCB_QM_FILES ${LIBREPCB_TS_FILES} OPTIONS -silent)
else()
  qt6_add_translation(LIBREPCB_QM_FILES ${LIBREPCB_TS_FILES} OPTIONS -silent)
endif()
add_custom_target(librepcb_translations DEPENDS ${LIBREPCB_QM_FILES})
add_dependencies(librepcb librepcb_translations)

# Install target for shared files
file(
  GLOB SHARE_DIRS
  LIST_DIRECTORIES true
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  share/*
)
foreach(d ${SHARE_DIRS})
  if(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/${d}")
    install(
      DIRECTORY ${d}
      DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}
      REGEX "/\.(git|gitattributes|gitignore)$" EXCLUDE
    )
  endif()
endforeach()
install(
  DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/i18n/share/
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR} OPTIONAL
)
install(
  DIRECTORY ${CMAKE_BINARY_DIR}/i18n
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/librepcb
)

# Windows installer configuration
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/dist/innosetup/config.iss.in
  ${CMAKE_BINARY_DIR}/dist/innosetup/config.iss @ONLY
)
add_custom_target(
  librepcb_installer DEPENDS ${CMAKE_BINARY_DIR}/dist/innosetup/config.iss
)
add_dependencies(librepcb librepcb_installer)

=== tests/unittests/CMakeLists.txt ===
# Enable Qt MOC/UIC/RCC
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC OFF)
set(CMAKE_AUTORCC OFF)

# Path to test data
add_definitions(-DTEST_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/../data")

# Tests require libpthread
set(THREADS_PREFER_PTHREAD_FLAG ON)
find_package(Threads REQUIRED)

# Main executable
add_executable(
  librepcb_unittests
  core/3d/occmodeltest.cpp
  core/algorithm/airwiresbuildertest.cpp
  core/applicationtest.cpp
  core/attribute/attributekeytest.cpp
  core/attribute/attributesubstitutortest.cpp
  core/attribute/attributetest.cpp
  core/attribute/attributetypetest.cpp
  core/attribute/attributeunittest.cpp
  core/export/d356netlistgeneratortest.cpp
  core/export/excellongeneratortest.cpp
  core/export/gerberaperturelisttest.cpp
  core/export/gerberattributetest.cpp
  core/export/gerberattributewritertest.cpp
  core/export/gerbergeneratortest.cpp
  core/export/graphicsexporttest.cpp
  core/export/graphicsexporttest.h
  core/export/pickplacecsvwritertest.cpp
  core/fileio/asynccopyoperationtest.cpp
  core/fileio/csvfiletest.cpp
  core/fileio/directorylocktest.cpp
  core/fileio/filepathtest.cpp
  core/fileio/fileutilstest.cpp
  core/fileio/transactionaldirectorytest.cpp
  core/fileio/transactionalfilesystemtest.cpp
  core/fileio/versionfiletest.cpp
  core/geometry/holetest.cpp
  core/geometry/pathtest.cpp
  core/geometry/polygontest.cpp
  core/geometry/stroketexttest.cpp
  core/geometry/texttest.cpp
  core/geometry/tracetest.cpp
  core/geometry/vertextest.cpp
  core/geometry/viatest.cpp
  core/import/dxfreadertest.cpp
  core/library/cmp/componentprefixtest.cpp
  core/library/cmp/componentsymbolvariantitemsuffixtest.cpp
  core/library/cmp/componentsymbolvariantitemtest.cpp
  core/library/cmp/componenttest.cpp
  core/library/cmpcat/componentcategorytest.cpp
  core/library/dev/devicetest.cpp
  core/library/librarybaseelementtest.cpp
  core/library/librarytest.cpp
  core/library/pkg/footprintpadtest.cpp
  core/library/pkg/packagetest.cpp
  core/library/pkgcat/packagecategorytest.cpp
  core/library/sym/symbolpintest.cpp
  core/library/sym/symboltest.cpp
  core/network/filedownloadtest.cpp
  core/network/networkrequestbasesignalreceiver.h
  core/network/networkrequesttest.cpp
  core/project/board/boardd356netlistexporttest.cpp
  core/project/board/boarddesignrulestest.cpp
  core/project/board/boardfabricationoutputsettingstest.cpp
  core/project/board/boardgerberexporttest.cpp
  core/project/board/boardpickplacegeneratortest.cpp
  core/project/board/boardplanefragmentsbuildertest.cpp
  core/project/projectjsonexporttest.cpp
  core/project/projectlibrarytest.cpp
  core/project/projecttest.cpp
  core/serialization/serializableobjectlisttest.cpp
  core/serialization/serializableobjectmock.h
  core/serialization/sexpressiontest.cpp
  core/sqlitedatabasetest.cpp
  core/systeminfotest.cpp
  core/types/alignmenttest.cpp
  core/types/angletest.cpp
  core/types/circuitidentifiertest.cpp
  core/types/fileproofnametest.cpp
  core/types/lengthtest.cpp
  core/types/pointtest.cpp
  core/types/ratiotest.cpp
  core/types/signalroletest.cpp
  core/types/simplestringtest.cpp
  core/types/uuidtest.cpp
  core/types/versiontest.cpp
  core/utils/clipperhelperstest.cpp
  core/utils/mathparsertest.cpp
  core/utils/overlinemarkupparsertest.cpp
  core/utils/scopeguardtest.cpp
  core/utils/signalslottest.cpp
  core/utils/tangentpathjoinertest.cpp
  core/utils/toolboxtest.cpp
  core/utils/transformtest.cpp
  core/workspace/workspacelibrarydbtest.cpp
  core/workspace/workspacesettingstest.cpp
  core/workspace/workspacetest.cpp
  eagleimport/eaglelibraryimporttest.cpp
  eagleimport/eagleprojectimporttest.cpp
  eagleimport/eagletypeconvertertest.cpp
  editor/dialogs/dxfimportdialogtest.cpp
  editor/dialogs/graphicsexportdialogtest.cpp
  editor/library/cat/categorytreebuildertest.cpp
  editor/library/pkg/footprintclipboarddatatest.cpp
  editor/library/sym/symbolclipboarddatatest.cpp
  editor/modelview/pathmodeltest.cpp
  editor/project/addcomponentdialogtest.cpp
  editor/project/boardeditor/boardclipboarddatatest.cpp
  editor/project/orderpcbdialogtest.cpp
  editor/project/schematiceditor/schematicclipboarddatatest.cpp
  editor/utils/shortcutsreferencegeneratortest.cpp
  editor/widgets/editabletablewidgetreceiver.h
  editor/widgets/editabletablewidgettest.cpp
  editor/widgets/lengthedittest.cpp
  editor/widgets/positivelengthedittest.cpp
  editor/widgets/unsignedlengthedittest.cpp
  editor/workspace/categorytreemodeltest.cpp
  editor/workspace/librarymanager/librarydownloadtest.cpp
  main.cpp
  testhelpers.cpp
  testhelpers.h
)
target_include_directories(
  librepcb_unittests
  PRIVATE "${CMAKE_CURRENT_SOURCE_DIR}/../../libs"
)
target_link_libraries(
  librepcb_unittests
  PRIVATE common
          # LibrePCB
          LibrePCB::Editor
          LibrePCB::Core
          # Third party
          GTest::GTest
          GTest::GMock
          ParsEagle::ParsEagle
          QuaZip::QuaZip
          # Qt
          ${QT}::Concurrent
          ${QT}::Core
          ${QT}::Gui
          ${QT}::Test
          ${QT}::Widgets
          # System
          Threads::Threads
)
set_target_properties(
  librepcb_unittests PROPERTIES OUTPUT_NAME librepcb-unittests
)

# Additional executable that's used for process tests
add_executable(
  dummy_binary
  dummy.cpp
)
set_target_properties(dummy_binary PROPERTIES OUTPUT_NAME dummy-binary)

=== libs/librepcb/core/CMakeLists.txt ===
# Enable Qt MOC/UIC/RCC
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC OFF)
set(CMAKE_AUTORCC OFF)

# Allow specifying the author of the build to help investigating bug reports.
set(LIBREPCB_BUILD_AUTHOR
    ""
    CACHE STRING "Author of this build."
)

# Allow overriding the share directory path
set(LIBREPCB_SHARE
    "../share/librepcb"
    CACHE STRING "Path to the LibrePCB share directory."
)

# Set this to YES to disable some features that make builds non-reproducible
# (like embedding the git commit hash or the path to the source directory in
# the binary).
set(LIBREPCB_REPRODUCIBLE
    NO
    CACHE BOOL "Disable feature that make builds non-reproducible"
)

if(LIBREPCB_REPRODUCIBLE)
  message(STATUS "Creating a potentially reproducible build")
else()
  # Detect git commit hash
  find_package(Git)
  if(GIT_FOUND AND EXISTS "${CMAKE_SOURCE_DIR}/.git")
    execute_process(
      COMMAND ${GIT_EXECUTABLE} -C "${CMAKE_SOURCE_DIR}" rev-parse --short
              --verify HEAD
      OUTPUT_VARIABLE SHORT_SHA
      OUTPUT_STRIP_TRAILING_WHITESPACE
    )
    set(GIT_COMMIT_SHA ${SHORT_SHA})
  else()
    message(STATUS "Git not found, cannot set version info")
  endif()

  # Detect path to source share directory
  set(LIBREPCB_SHARE_SOURCE "${CMAKE_SOURCE_DIR}/share")

  # Detect path to binary output directory
  set(LIBREPCB_BINARY_DIR "${CMAKE_BINARY_DIR}")
endif()

# Set this to YES to enable registering the application to the desktop
# environment at runtime (e.g. installing *.desktop file on Linux).
set(LIBREPCB_ENABLE_DESKTOP_INTEGRATION
    NO
    CACHE BOOL "Allow registering the application at runtime."
)

# Generate build_env.h file
configure_file(build_env.h.in librepcb_build_env.h @ONLY)

# Export library
add_library(
  librepcb_core STATIC
  3d/occmodel.cpp
  3d/occmodel.h
  3d/scenedata3d.cpp
  3d/scenedata3d.h
  3d/stepexport.cpp
  3d/stepexport.h
  algorithm/airwiresbuilder.cpp
  algorithm/airwiresbuilder.h
  application.cpp
  application.h
  attribute/attribute.cpp
  attribute/attribute.h
  attribute/attributekey.h
  attribute/attributesubstitutor.cpp
  attribute/attributesubstitutor.h
  attribute/attributetype.cpp
  attribute/attributetype.h
  attribute/attributeunit.cpp
  attribute/attributeunit.h
  attribute/attrtypecapacitance.cpp
  attribute/attrtypecapacitance.h
  attribute/attrtypecurrent.cpp
  attribute/attrtypecurrent.h
  attribute/attrtypefrequency.cpp
  attribute/attrtypefrequency.h
  attribute/attrtypeinductance.cpp
  attribute/attrtypeinductance.h
  attribute/attrtypepower.cpp
  attribute/attrtypepower.h
  attribute/attrtyperesistance.cpp
  attribute/attrtyperesistance.h
  attribute/attrtypestring.cpp
  attribute/attrtypestring.h
  attribute/attrtypevoltage.cpp
  attribute/attrtypevoltage.h
  debug.cpp
  debug.h
  exceptions.cpp
  exceptions.h
  export/bom.cpp
  export/bom.h
  export/bomcsvwriter.cpp
  export/bomcsvwriter.h
  export/d356netlistgenerator.cpp
  export/d356netlistgenerator.h
  export/excellongenerator.cpp
  export/excellongenerator.h
  export/gerberaperturelist.cpp
  export/gerberaperturelist.h
  export/gerberattribute.cpp
  export/gerberattribute.h
  export/gerberattributewriter.cpp
  export/gerberattributewriter.h
  export/gerbergenerator.cpp
  export/gerbergenerator.h
  export/graphicsexport.cpp
  export/graphicsexport.h
  export/graphicsexportsettings.cpp
  export/graphicsexportsettings.h
  export/graphicspainter.cpp
  export/graphicspainter.h
  export/pickplacecsvwriter.cpp
  export/pickplacecsvwriter.h
  export/pickplacedata.cpp
  export/pickplacedata.h
  fileio/asynccopyoperation.cpp
  fileio/asynccopyoperation.h
  fileio/csvfile.cpp
  fileio/csvfile.h
  fileio/directorylock.cpp
  fileio/directorylock.h
  fileio/filepath.cpp
  fileio/filepath.h
  fileio/filesystem.h
  fileio/fileutils.cpp
  fileio/fileutils.h
  fileio/outputdirectorywriter.cpp
  fileio/outputdirectorywriter.h
  fileio/transactionaldirectory.cpp
  fileio/transactionaldirectory.h
  fileio/transactionalfilesystem.cpp
  fileio/transactionalfilesystem.h
  fileio/versionfile.cpp
  fileio/versionfile.h
  font/strokefont.cpp
  font/strokefont.h
  font/strokefontpool.cpp
  font/strokefontpool.h
  font/stroketextpathbuilder.cpp
  font/stroketextpathbuilder.h
  geometry/circle.cpp
  geometry/circle.h
  geometry/hole.cpp
  geometry/hole.h
  geometry/junction.cpp
  geometry/junction.h
  geometry/netlabel.cpp
  geometry/netlabel.h
  geometry/netline.cpp
  geometry/netline.h
  geometry/padgeometry.cpp
  geometry/padgeometry.h
  geometry/padhole.cpp
  geometry/padhole.h
  geometry/path.cpp
  geometry/path.h
  geometry/polygon.cpp
  geometry/polygon.h
  geometry/stroketext.cpp
  geometry/stroketext.h
  geometry/text.cpp
  geometry/text.h
  geometry/trace.cpp
  geometry/trace.h
  geometry/vertex.cpp
  geometry/vertex.h
  geometry/via.cpp
  geometry/via.h
  geometry/zone.cpp
  geometry/zone.h
  import/dxfreader.cpp
  import/dxfreader.h
  job/archiveoutputjob.cpp
  job/archiveoutputjob.h
  job/board3doutputjob.cpp
  job/board3doutputjob.h
  job/bomoutputjob.cpp
  job/bomoutputjob.h
  job/copyoutputjob.cpp
  job/copyoutputjob.h
  job/gerberexcellonoutputjob.cpp
  job/gerberexcellonoutputjob.h
  job/gerberx3outputjob.cpp
  job/gerberx3outputjob.h
  job/graphicsoutputjob.cpp
  job/graphicsoutputjob.h
  job/lppzoutputjob.cpp
  job/lppzoutputjob.h
  job/netlistoutputjob.cpp
  job/netlistoutputjob.h
  job/outputjob.cpp
  job/outputjob.h
  job/pickplaceoutputjob.cpp
  job/pickplaceoutputjob.h
  job/projectjsonoutputjob.cpp
  job/projectjsonoutputjob.h
  job/unknownoutputjob.cpp
  job/unknownoutputjob.h
  library/cat/componentcategory.cpp
  library/cat/componentcategory.h
  library/cat/librarycategory.cpp
  library/cat/librarycategory.h
  library/cat/packagecategory.cpp
  library/cat/packagecategory.h
  library/cmp/cmpsigpindisplaytype.cpp
  library/cmp/cmpsigpindisplaytype.h
  library/cmp/component.cpp
  library/cmp/component.h
  library/cmp/componentcheck.cpp
  library/cmp/componentcheck.h
  library/cmp/componentcheckmessages.cpp
  library/cmp/componentcheckmessages.h
  library/cmp/componentpinsignalmap.cpp
  library/cmp/componentpinsignalmap.h
  library/cmp/componentprefix.h
  library/cmp/componentsignal.cpp
  library/cmp/componentsignal.h
  library/cmp/componentsymbolvariant.cpp
  library/cmp/componentsymbolvariant.h
  library/cmp/componentsymbolvariantitem.cpp
  library/cmp/componentsymbolvariantitem.h
  library/cmp/componentsymbolvariantitemsuffix.h
  library/dev/device.cpp
  library/dev/device.h
  library/dev/devicecheck.cpp
  library/dev/devicecheck.h
  library/dev/devicecheckmessages.cpp
  library/dev/devicecheckmessages.h
  library/dev/devicepadsignalmap.cpp
  library/dev/devicepadsignalmap.h
  library/dev/part.cpp
  library/dev/part.h
  library/library.cpp
  library/library.h
  library/librarybaseelement.cpp
  library/librarybaseelement.h
  library/librarybaseelementcheck.cpp
  library/librarybaseelementcheck.h
  library/librarybaseelementcheckmessages.cpp
  library/librarybaseelementcheckmessages.h
  library/libraryelement.cpp
  library/libraryelement.h
  library/libraryelementcheck.cpp
  library/libraryelementcheck.h
  library/libraryelementcheckmessages.cpp
  library/libraryelementcheckmessages.h
  library/pkg/footprint.cpp
  library/pkg/footprint.h
  library/pkg/footprintpad.cpp
  library/pkg/footprintpad.h
  library/pkg/footprintpainter.cpp
  library/pkg/footprintpainter.h
  library/pkg/package.cpp
  library/pkg/package.h
  library/pkg/packagecheck.cpp
  library/pkg/packagecheck.h
  library/pkg/packagecheckmessages.cpp
  library/pkg/packagecheckmessages.h
  library/pkg/packagemodel.cpp
  library/pkg/packagemodel.h
  library/pkg/packagepad.cpp
  library/pkg/packagepad.h
  library/resource.cpp
  library/resource.h
  library/sym/symbol.cpp
  library/sym/symbol.h
  library/sym/symbolcheck.cpp
  library/sym/symbolcheck.h
  library/sym/symbolcheckmessages.cpp
  library/sym/symbolcheckmessages.h
  library/sym/symbolpainter.cpp
  library/sym/symbolpainter.h
  library/sym/symbolpin.cpp
  library/sym/symbolpin.h
  network/apiendpoint.cpp
  network/apiendpoint.h
  network/filedownload.cpp
  network/filedownload.h
  network/networkaccessmanager.cpp
  network/networkaccessmanager.h
  network/networkrequest.cpp
  network/networkrequest.h
  network/networkrequestbase.cpp
  network/networkrequestbase.h
  network/orderpcbapirequest.cpp
  network/orderpcbapirequest.h
  norms.h
  project/board/board.cpp
  project/board/board.h
  project/board/boardairwiresbuilder.cpp
  project/board/boardairwiresbuilder.h
  project/board/boardd356netlistexport.cpp
  project/board/boardd356netlistexport.h
  project/board/boarddesignrules.cpp
  project/board/boarddesignrules.h
  project/board/boardfabricationoutputsettings.cpp
  project/board/boardfabricationoutputsettings.h
  project/board/boardgerberexport.cpp
  project/board/boardgerberexport.h
  project/board/boardholedata.cpp
  project/board/boardholedata.h
  project/board/boardnetsegmentsplitter.cpp
  project/board/boardnetsegmentsplitter.h
  project/board/boardpainter.cpp
  project/board/boardpainter.h
  project/board/boardpickplacegenerator.cpp
  project/board/boardpickplacegenerator.h
  project/board/boardplanefragmentsbuilder.cpp
  project/board/boardplanefragmentsbuilder.h
  project/board/boardpolygondata.cpp
  project/board/boardpolygondata.h
  project/board/boardstroketextdata.cpp
  project/board/boardstroketextdata.h
  project/board/boardzonedata.cpp
  project/board/boardzonedata.h
  project/board/drc/boardclipperpathgenerator.cpp
  project/board/drc/boardclipperpathgenerator.h
  project/board/drc/boarddesignrulecheck.cpp
  project/board/drc/boarddesignrulecheck.h
  project/board/drc/boarddesignrulecheckmessages.cpp
  project/board/drc/boarddesignrulecheckmessages.h
  project/board/drc/boarddesignrulechecksettings.cpp
  project/board/drc/boarddesignrulechecksettings.h
  project/board/items/bi_airwire.cpp
  project/board/items/bi_airwire.h
  project/board/items/bi_base.cpp
  project/board/items/bi_base.h
  project/board/items/bi_device.cpp
  project/board/items/bi_device.h
  project/board/items/bi_footprintpad.cpp
  project/board/items/bi_footprintpad.h
  project/board/items/bi_hole.cpp
  project/board/items/bi_hole.h
  project/board/items/bi_netline.cpp
  project/board/items/bi_netline.h
  project/board/items/bi_netpoint.cpp
  project/board/items/bi_netpoint.h
  project/board/items/bi_netsegment.cpp
  project/board/items/bi_netsegment.h
  project/board/items/bi_plane.cpp
  project/board/items/bi_plane.h
  project/board/items/bi_polygon.cpp
  project/board/items/bi_polygon.h
  project/board/items/bi_stroketext.cpp
  project/board/items/bi_stroketext.h
  project/board/items/bi_via.cpp
  project/board/items/bi_via.h
  project/board/items/bi_zone.cpp
  project/board/items/bi_zone.h
  project/board/realisticboardpainter.cpp
  project/board/realisticboardpainter.h
  project/bomgenerator.cpp
  project/bomgenerator.h
  project/circuit/assemblyvariant.cpp
  project/circuit/assemblyvariant.h
  project/circuit/circuit.cpp
  project/circuit/circuit.h
  project/circuit/componentassemblyoption.cpp
  project/circuit/componentassemblyoption.h
  project/circuit/componentinstance.cpp
  project/circuit/componentinstance.h
  project/circuit/componentsignalinstance.cpp
  project/circuit/componentsignalinstance.h
  project/circuit/netclass.cpp
  project/circuit/netclass.h
  project/circuit/netsignal.cpp
  project/circuit/netsignal.h
  project/erc/electricalrulecheck.cpp
  project/erc/electricalrulecheck.h
  project/erc/electricalrulecheckmessages.cpp
  project/erc/electricalrulecheckmessages.h
  project/outputjobrunner.cpp
  project/outputjobrunner.h
  project/project.cpp
  project/project.h
  project/projectattributelookup.cpp
  project/projectattributelookup.h
  project/projectjsonexport.cpp
  project/projectjsonexport.h
  project/projectlibrary.cpp
  project/projectlibrary.h
  project/projectloader.cpp
  project/projectloader.h

=== libs/librepcb/editor/CMakeLists.txt ===
# Enable Qt MOC/UIC/RCC
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC OFF)

# Export library
add_library(
  librepcb_editor STATIC
  3d/openglobject.h
  3d/openglscenebuilder.cpp
  3d/openglscenebuilder.h
  3d/opengltriangleobject.cpp
  3d/opengltriangleobject.h
  cmd/cmdattributeedit.cpp
  cmd/cmdattributeedit.h
  cmd/cmdcircleedit.cpp
  cmd/cmdcircleedit.h
  cmd/cmdholeedit.cpp
  cmd/cmdholeedit.h
  cmd/cmdlistelementinsert.h
  cmd/cmdlistelementremove.h
  cmd/cmdlistelementsswap.h
  cmd/cmdpolygonedit.cpp
  cmd/cmdpolygonedit.h
  cmd/cmdstroketextedit.cpp
  cmd/cmdstroketextedit.h
  cmd/cmdtextedit.cpp
  cmd/cmdtextedit.h
  cmd/cmdzoneedit.cpp
  cmd/cmdzoneedit.h
  dialogs/aboutdialog.cpp
  dialogs/aboutdialog.h
  dialogs/aboutdialog.ui
  dialogs/circlepropertiesdialog.cpp
  dialogs/circlepropertiesdialog.h
  dialogs/circlepropertiesdialog.ui
  dialogs/directorylockhandlerdialog.cpp
  dialogs/directorylockhandlerdialog.h
  dialogs/directorylockhandlerdialog.ui
  dialogs/dxfimportdialog.cpp
  dialogs/dxfimportdialog.h
  dialogs/dxfimportdialog.ui
  dialogs/filedialog.cpp
  dialogs/filedialog.h
  dialogs/graphicsexportdialog.cpp
  dialogs/graphicsexportdialog.h
  dialogs/graphicsexportdialog.ui
  dialogs/gridsettingsdialog.cpp
  dialogs/gridsettingsdialog.h
  dialogs/gridsettingsdialog.ui
  dialogs/holepropertiesdialog.cpp
  dialogs/holepropertiesdialog.h
  dialogs/holepropertiesdialog.ui
  dialogs/polygonpropertiesdialog.cpp
  dialogs/polygonpropertiesdialog.h
  dialogs/polygonpropertiesdialog.ui
  dialogs/stroketextpropertiesdialog.cpp
  dialogs/stroketextpropertiesdialog.h
  dialogs/stroketextpropertiesdialog.ui
  dialogs/textpropertiesdialog.cpp
  dialogs/textpropertiesdialog.h
  dialogs/textpropertiesdialog.ui
  dialogs/zonepropertiesdialog.cpp
  dialogs/zonepropertiesdialog.h
  dialogs/zonepropertiesdialog.ui
  editorcommand.cpp
  editorcommand.h
  editorcommandcategory.h
  editorcommandset.h
  graphics/circlegraphicsitem.cpp
  graphics/circlegraphicsitem.h
  graphics/defaultgraphicslayerprovider.cpp
  graphics/defaultgraphicslayerprovider.h
  graphics/graphicslayer.cpp
  graphics/graphicslayer.h
  graphics/graphicsscene.cpp
  graphics/graphicsscene.h
  graphics/holegraphicsitem.cpp
  graphics/holegraphicsitem.h
  graphics/linegraphicsitem.cpp
  graphics/linegraphicsitem.h
  graphics/origincrossgraphicsitem.cpp
  graphics/origincrossgraphicsitem.h
  graphics/polygongraphicsitem.cpp
  graphics/polygongraphicsitem.h
  graphics/primitivecirclegraphicsitem.cpp
  graphics/primitivecirclegraphicsitem.h
  graphics/primitivefootprintpadgraphicsitem.cpp
  graphics/primitivefootprintpadgraphicsitem.h
  graphics/primitiveholegraphicsitem.cpp
  graphics/primitiveholegraphicsitem.h
  graphics/primitivepathgraphicsitem.cpp
  graphics/primitivepathgraphicsitem.h
  graphics/primitivetextgraphicsitem.cpp
  graphics/primitivetextgraphicsitem.h
  graphics/primitivezonegraphicsitem.cpp
  graphics/primitivezonegraphicsitem.h
  graphics/stroketextgraphicsitem.cpp
  graphics/stroketextgraphicsitem.h
  graphics/textgraphicsitem.cpp
  graphics/textgraphicsitem.h
  graphics/zonegraphicsitem.cpp
  graphics/zonegraphicsitem.h
  library/cat/categorychooserdialog.cpp
  library/cat/categorychooserdialog.h
  library/cat/categorychooserdialog.ui
  library/cat/categorylisteditorwidget.cpp
  library/cat/categorylisteditorwidget.h
  library/cat/categorylisteditorwidget.ui
  library/cat/categorytreebuilder.cpp
  library/cat/categorytreebuilder.h
  library/cat/categorytreelabeltextbuilder.cpp
  library/cat/categorytreelabeltextbuilder.h
  library/cat/componentcategoryeditorwidget.cpp
  library/cat/componentcategoryeditorwidget.h
  library/cat/componentcategoryeditorwidget.ui
  library/cat/packagecategoryeditorwidget.cpp
  library/cat/packagecategoryeditorwidget.h
  library/cat/packagecategoryeditorwidget.ui
  library/cmd/cmdcomponentedit.cpp
  library/cmd/cmdcomponentedit.h
  library/cmd/cmdcomponentpinsignalmapitemedit.cpp
  library/cmd/cmdcomponentpinsignalmapitemedit.h
  library/cmd/cmdcomponentsignaledit.cpp
  library/cmd/cmdcomponentsignaledit.h
  library/cmd/cmdcomponentsymbolvariantedit.cpp
  library/cmd/cmdcomponentsymbolvariantedit.h
  library/cmd/cmdcomponentsymbolvariantitemedit.cpp
  library/cmd/cmdcomponentsymbolvariantitemedit.h
  library/cmd/cmddeviceedit.cpp
  library/cmd/cmddeviceedit.h
  library/cmd/cmddevicepadsignalmapitemedit.cpp
  library/cmd/cmddevicepadsignalmapitemedit.h
  library/cmd/cmddragselectedfootprintitems.cpp
  library/cmd/cmddragselectedfootprintitems.h
  library/cmd/cmddragselectedsymbolitems.cpp
  library/cmd/cmddragselectedsymbolitems.h
  library/cmd/cmdfootprintedit.cpp
  library/cmd/cmdfootprintedit.h
  library/cmd/cmdfootprintpadedit.cpp
  library/cmd/cmdfootprintpadedit.h
  library/cmd/cmdlibrarybaseelementedit.cpp
  library/cmd/cmdlibrarybaseelementedit.h
  library/cmd/cmdlibrarycategoryedit.cpp
  library/cmd/cmdlibrarycategoryedit.h
  library/cmd/cmdlibraryedit.cpp
  library/cmd/cmdlibraryedit.h
  library/cmd/cmdlibraryelementedit.cpp
  library/cmd/cmdlibraryelementedit.h
  library/cmd/cmdpackageedit.cpp
  library/cmd/cmdpackageedit.h
  library/cmd/cmdpackagemodeladd.cpp
  library/cmd/cmdpackagemodeladd.h
  library/cmd/cmdpackagemodeledit.cpp
  library/cmd/cmdpackagemodeledit.h
  library/cmd/cmdpackagemodelremove.cpp
  library/cmd/cmdpackagemodelremove.h
  library/cmd/cmdpackagepadedit.cpp
  library/cmd/cmdpackagepadedit.h
  library/cmd/cmdpartedit.cpp
  library/cmd/cmdpartedit.h
  library/cmd/cmdpastefootprintitems.cpp
  library/cmd/cmdpastefootprintitems.h
  library/cmd/cmdpastesymbolitems.cpp
  library/cmd/cmdpastesymbolitems.h
  library/cmd/cmdremoveselectedfootprintitems.cpp
  library/cmd/cmdremoveselectedfootprintitems.h
  library/cmd/cmdremoveselectedsymbolitems.cpp
  library/cmd/cmdremoveselectedsymbolitems.h
  library/cmd/cmdsymbolpinedit.cpp
  library/cmd/cmdsymbolpinedit.h
  library/cmp/cmpsigpindisplaytypecombobox.cpp
  library/cmp/cmpsigpindisplaytypecombobox.h
  library/cmp/componentchooserdialog.cpp
  library/cmp/componentchooserdialog.h
  library/cmp/componentchooserdialog.ui
  library/cmp/componenteditorwidget.cpp
  library/cmp/componenteditorwidget.h
  library/cmp/componenteditorwidget.ui
  library/cmp/componentpinsignalmapmodel.cpp
  library/cmp/componentpinsignalmapmodel.h
  library/cmp/componentsignallisteditorwidget.cpp
  library/cmp/componentsignallisteditorwidget.h
  library/cmp/componentsignallistmodel.cpp
  library/cmp/componentsignallistmodel.h
  library/cmp/componentsymbolvarianteditdialog.cpp
  library/cmp/componentsymbolvarianteditdialog.h
  library/cmp/componentsymbolvarianteditdialog.ui
  library/cmp/componentsymbolvariantitemlisteditorwidget.cpp
  library/cmp/componentsymbolvariantitemlisteditorwidget.h
  library/cmp/componentsymbolvariantitemlistmodel.cpp
  library/cmp/componentsymbolvariantitemlistmodel.h
  library/cmp/componentsymbolvariantlistmodel.cpp
  library/cmp/componentsymbolvariantlistmodel.h
  library/cmp/componentsymbolvariantlistwidget.cpp
  library/cmp/componentsymbolvariantlistwidget.h
  library/cmp/compsymbvarpinsignalmapeditorwidget.cpp
  library/cmp/compsymbvarpinsignalmapeditorwidget.h
  library/cmp/if_componentsymbolvarianteditorprovider.h
  library/dev/deviceeditorwidget.cpp
  library/dev/deviceeditorwidget.h
  library/dev/deviceeditorwidget.ui
  library/dev/devicepadsignalmapmodel.cpp
  library/dev/devicepadsignalmapmodel.h
  library/dev/padsignalmapeditorwidget.cpp
  library/dev/padsignalmapeditorwidget.h
  library/dev/partlisteditorwidget.cpp
  library/dev/partlisteditorwidget.h
  library/dev/partlistmodel.cpp
  library/dev/partlistmodel.h
  library/eaglelibraryimportwizard/eaglelibraryimportwizard.cpp
  library/eaglelibraryimportwizard/eaglelibraryimportwizard.h
  library/eaglelibraryimportwizard/eaglelibraryimportwizard.ui
  library/eaglelibraryimportwizard/eaglelibraryimportwizardcontext.cpp
  library/eaglelibraryimportwizard/eaglelibraryimportwizardcontext.h
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_chooselibrary.cpp
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_chooselibrary.h
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_chooselibrary.ui
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_result.cpp
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_result.h
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_result.ui
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_selectelements.cpp
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_selectelements.h
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_selectelements.ui
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_setoptions.cpp
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_setoptions.h
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_setoptions.ui
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_start.cpp
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_start.h
  library/eaglelibraryimportwizard/eaglelibraryimportwizardpage_start.ui
  library/editorwidgetbase.cpp
  library/editorwidgetbase.h
  library/lib/librarylisteditorwidget.cpp
  library/lib/librarylisteditorwidget.h
  library/lib/librarylisteditorwidget.ui
  library/lib/libraryoverviewwidget.cpp
  library/lib/libraryoverviewwidget.h
  library/lib/libraryoverviewwidget.ui
  library/libraryeditor.cpp
  library/libraryeditor.h
  library/libraryeditor.ui
  library/libraryelementcache.cpp
  library/libraryelementcache.h
  library/newelementwizard/newelementwizard.cpp
  library/newelementwizard/newelementwizard.h
  library/newelementwizard/newelementwizard.ui
  library/newelementwizard/newelementwizardcontext.cpp
  library/newelementwizard/newelementwizardcontext.h
  library/newelementwizard/newelementwizardpage_choosetype.cpp
  library/newelementwizard/newelementwizardpage_choosetype.h
  library/newelementwizard/newelementwizardpage_choosetype.ui
  library/newelementwizard/newelementwizardpage_componentpinsignalmap.cpp
  library/newelementwizard/newelementwizardpage_componentpinsignalmap.h
  library/newelementwizard/newelementwizardpage_componentpinsignalmap.ui
  library/newelementwizard/newelementwizardpage_componentproperties.cpp
  library/newelementwizard/newelementwizardpage_componentproperties.h
  library/newelementwizard/newelementwizardpage_componentproperties.ui
  library/newelementwizard/newelementwizardpage_componentsignals.cpp
  library/newelementwizard/newelementwizardpage_componentsignals.h
  library/newelementwizard/newelementwizardpage_componentsignals.ui
  library/newelementwizard/newelementwizardpage_componentsymbols.cpp
  library/newelementwizard/newelementwizardpage_componentsymbols.h
  library/newelementwizard/newelementwizardpage_componentsymbols.ui
  library/newelementwizard/newelementwizardpage_copyfrom.cpp
  library/newelementwizard/newelementwizardpage_copyfrom.h
  library/newelementwizard/newelementwizardpage_copyfrom.ui
  library/newelementwizard/newelementwizardpage_deviceproperties.cpp
  library/newelementwizard/newelementwizardpage_deviceproperties.h
  library/newelementwizard/newelementwizardpage_deviceproperties.ui
  library/newelementwizard/newelementwizardpage_entermetadata.cpp
  library/newelementwizard/newelementwizardpage_entermetadata.h
  library/newelementwizard/newelementwizardpage_entermetadata.ui
  library/newelementwizard/newelementwizardpage_packagepads.cpp
  library/newelementwizard/newelementwizardpage_packagepads.h
  library/newelementwizard/newelementwizardpage_packagepads.ui
  library/pkg/boardsideselectorwidget.cpp
  library/pkg/boardsideselectorwidget.h
  library/pkg/footprintclipboarddata.cpp
  library/pkg/footprintclipboarddata.h
  library/pkg/footprintgraphicsitem.cpp
  library/pkg/footprintgraphicsitem.h
  library/pkg/footprintlisteditorwidget.cpp
  library/pkg/footprintlisteditorwidget.h

=== debian/changelog ===
librepcb (1.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Wed, 12 Jun 2024 16:52:26 +0200

librepcb (1.0.0-2) unstable; urgency=medium

  * Initial release (Closes: #950328)

 -- Federico Ceratto <federico@debian.org>  Wed, 07 Feb 2024 17:05:41 +0100

librepcb (1.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 06 Feb 2024 23:24:33 +0100

librepcb (0.1.7-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 03 Dec 2022 13:16:01 +0000

librepcb (0.1.6-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sun, 28 Nov 2021 19:04:04 +0000

librepcb (0.1.4+dfsg-1) UNRELEASED; urgency=medium

  * Initial packaging

 -- Federico Ceratto <federico@debian.org>  Sun, 26 Jul 2020 20:41:19 +0100

=== debian/control ===
Source: librepcb
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@alioth-lists.debian.net>
Uploaders: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 13),
 cmake,
 debhelper,
 fonts-noto-core,
 libglu1-mesa-dev,
 libocct-data-exchange-dev,
 libocct-draw-dev,
 libocct-foundation-dev,
 libocct-modeling-algorithms-dev,
 libocct-modeling-data-dev,
 libocct-ocaf-dev,
 libocct-visualization-dev,
 libqt5opengl5-dev,
 libqt5opengl5-dev,
 libqt5svg5-dev,
 libquazip5-dev,
 libquazip1-qt5-dev,
 libsfml-dev,
 libtbb-dev,
 openssl,
 qtbase5-dev,
 qtchooser,
 qtdeclarative5-dev,
 qtquickcontrols2-5-dev,
 qttools5-dev,
 qttools5-dev-tools,
 zlib1g,
 zlib1g-dev
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://librepcb.org
Vcs-Browser: https://salsa.debian.org/debian/librepcb
Vcs-Git: https://salsa.debian.org/debian/librepcb.git

Package: librepcb
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 fonts-noto-core,
Description: EDA software to develop printed circuit boards
 Provides project management, powerful library management,
 and intuitive schematic and board editors.
 Human-readable, VCS-friendly file formats for libraries and projects.
 Supports multiple PCB variants for the same schematic and
 automatic netlist synchronisation between schematic and board.

## librepcb 1.2.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -15,20 +15,15 @@
  libocct-modeling-data-dev,
  libocct-ocaf-dev,
  libocct-visualization-dev,
- libqt5opengl5-dev,
- libqt5opengl5-dev,
- libqt5svg5-dev,
- libquazip5-dev,
- libquazip1-qt5-dev,
- libsfml-dev,
+ libquazip1-qt6-dev,
  libtbb-dev,
  openssl,
- qtbase5-dev,
+ qt6-base-dev,
+ qt6-declarative-dev,
+ qt6-svg-dev,
+ qt6-tools-dev,
+ qt6-tools-dev-tools,
  qtchooser,
- qtdeclarative5-dev,
- qtquickcontrols2-5-dev,
- qttools5-dev,
- qttools5-dev-tools,
  zlib1g,
  zlib1g-dev
 Standards-Version: 4.6.2
